
_InitTimer1:

;pic18f250_2servos.c,4 :: 		void InitTimer1(void) {
;pic18f250_2servos.c,6 :: 		T1CON = 0x01;
	MOVLW       1
	MOVWF       T1CON+0 
;pic18f250_2servos.c,7 :: 		TMR1IF_bit = 0;
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;pic18f250_2servos.c,8 :: 		TMR1H = 0xFD;
	MOVLW       253
	MOVWF       TMR1H+0 
;pic18f250_2servos.c,9 :: 		TMR1L = 0x80;
	MOVLW       128
	MOVWF       TMR1L+0 
;pic18f250_2servos.c,10 :: 		TMR1IE_bit = 1;
	BSF         TMR1IE_bit+0, BitPos(TMR1IE_bit+0) 
;pic18f250_2servos.c,11 :: 		INTCON = 0xC0;
	MOVLW       192
	MOVWF       INTCON+0 
;pic18f250_2servos.c,13 :: 		return;
;pic18f250_2servos.c,14 :: 		}
L_end_InitTimer1:
	RETURN      0
; end of _InitTimer1

_hereGoesMyISR:

;pic18f250_2servos.c,16 :: 		void hereGoesMyISR(void) {
;pic18f250_2servos.c,17 :: 		if (TMR1IF_bit == 1) {    //Check if Timer0 has overflowed
	BTFSS       TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
	GOTO        L_hereGoesMyISR0
;pic18f250_2servos.c,18 :: 		TMR1IF_bit = 0;        //Reset Timer0 flag
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;pic18f250_2servos.c,20 :: 		TMR1H = 0xFD;
	MOVLW       253
	MOVWF       TMR1H+0 
;pic18f250_2servos.c,21 :: 		TMR1L = 0x80;
	MOVLW       128
	MOVWF       TMR1L+0 
;pic18f250_2servos.c,22 :: 		counter++;           //Increase counter by 1
	INCF        _counter+0, 1 
;pic18f250_2servos.c,24 :: 		if (counter == 156) { //Check if interrupt was triggered 156 times
	MOVF        _counter+0, 0 
	XORLW       156
	BTFSS       STATUS+0, 2 
	GOTO        L_hereGoesMyISR1
;pic18f250_2servos.c,25 :: 		PORTB.F2 = 1;      //Start pulse to servo motor 1
	BSF         PORTB+0, 2 
;pic18f250_2servos.c,26 :: 		PORTB.F3 = 1;      //Start pulse to servo motor 2
	BSF         PORTB+0, 3 
;pic18f250_2servos.c,27 :: 		PORTB.F4 = 1;      //Start pulse to servo motor 3
	BSF         PORTB+0, 4 
;pic18f250_2servos.c,28 :: 		counter = 0;       //Reset counter
	CLRF        _counter+0 
;pic18f250_2servos.c,29 :: 		}
L_hereGoesMyISR1:
;pic18f250_2servos.c,30 :: 		if (counter == motor1) //Check if time to end left servo pulse
	MOVF        _counter+0, 0 
	XORWF       _motor1+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_hereGoesMyISR2
;pic18f250_2servos.c,31 :: 		PORTB.F2 = 0;       //End pulse to left servo motor
	BCF         PORTB+0, 2 
L_hereGoesMyISR2:
;pic18f250_2servos.c,32 :: 		if (counter == motor2) //Check if time to end right servo pulse
	MOVF        _counter+0, 0 
	XORWF       _motor2+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_hereGoesMyISR3
;pic18f250_2servos.c,33 :: 		PORTB.F3 = 0;       //End pulse to right servo motor
	BCF         PORTB+0, 3 
L_hereGoesMyISR3:
;pic18f250_2servos.c,34 :: 		if (counter == motor3) //Check if time to end right servo pulse
	MOVF        _counter+0, 0 
	XORWF       _motor3+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_hereGoesMyISR4
;pic18f250_2servos.c,35 :: 		PORTB.F4 = 0;       //End pulse to right servo motor
	BCF         PORTB+0, 4 
L_hereGoesMyISR4:
;pic18f250_2servos.c,36 :: 		}
L_hereGoesMyISR0:
;pic18f250_2servos.c,38 :: 		return;
;pic18f250_2servos.c,39 :: 		}
L_end_hereGoesMyISR:
	RETURN      0
; end of _hereGoesMyISR

_interrupt:

;pic18f250_2servos.c,41 :: 		void interrupt(void) {       //Define interrupt routine called servo
;pic18f250_2servos.c,42 :: 		hereGoesMyISR();
	CALL        _hereGoesMyISR+0, 0
;pic18f250_2servos.c,43 :: 		}
L_end_interrupt:
L__interrupt12:
	RETFIE      1
; end of _interrupt

_main:

;pic18f250_2servos.c,45 :: 		void main() {
;pic18f250_2servos.c,47 :: 		CMCON = 0x07;  //disables comparators
	MOVLW       7
	MOVWF       CMCON+0 
;pic18f250_2servos.c,48 :: 		ADCON1 = 0x0F; //disables analog functions
	MOVLW       15
	MOVWF       ADCON1+0 
;pic18f250_2servos.c,49 :: 		GIE_bit = 1;   //Enable global interrupts
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;pic18f250_2servos.c,50 :: 		TRISB.F2 = 0;  //Set up Port B2 as an output
	BCF         TRISB+0, 2 
;pic18f250_2servos.c,51 :: 		TRISB.F3 = 0;  //Set up Port B3 as an output
	BCF         TRISB+0, 3 
;pic18f250_2servos.c,52 :: 		TRISB.F4 = 0;  //Set up Port B4 as an output
	BCF         TRISB+0, 4 
;pic18f250_2servos.c,54 :: 		TRISA.F0 = 0;  //Set up Port A0 as an output
	BCF         TRISA+0, 0 
;pic18f250_2servos.c,55 :: 		PORTA.F0 = 1;
	BSF         PORTA+0, 0 
;pic18f250_2servos.c,57 :: 		InitTimer1();
	CALL        _InitTimer1+0, 0
;pic18f250_2servos.c,59 :: 		while(1) {          // Set up infinite loop
L_main5:
;pic18f250_2servos.c,60 :: 		motor1 = 6;    // Generates rising edge after 6 interrupts * 128 us each = 768 us
	MOVLW       6
	MOVWF       _motor1+0 
;pic18f250_2servos.c,61 :: 		motor2 = 6;
	MOVLW       6
	MOVWF       _motor2+0 
;pic18f250_2servos.c,62 :: 		motor3 = 6;
	MOVLW       6
	MOVWF       _motor3+0 
;pic18f250_2servos.c,63 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
	NOP
;pic18f250_2servos.c,64 :: 		motor1 = 18;   // Generates falling edge after 18 interrupts * 128 us each = 2034 us
	MOVLW       18
	MOVWF       _motor1+0 
;pic18f250_2servos.c,65 :: 		motor2 = 18;
	MOVLW       18
	MOVWF       _motor2+0 
;pic18f250_2servos.c,66 :: 		motor3 = 12;   // Generates falling edge after 12 interrupts * 128 us each = 1536 us
	MOVLW       12
	MOVWF       _motor3+0 
;pic18f250_2servos.c,67 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main8:
	DECFSZ      R13, 1, 1
	BRA         L_main8
	DECFSZ      R12, 1, 1
	BRA         L_main8
	DECFSZ      R11, 1, 1
	BRA         L_main8
	NOP
;pic18f250_2servos.c,68 :: 		}
	GOTO        L_main5
;pic18f250_2servos.c,71 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
