unsigned short counter = 0, motor1 = 0, motor2 = 0, motor3 = 0;

//Prescaler 1:1; TMR1 Preload = 64896; Actual Interrupt Time: 128 us
void InitTimer1(void) {

     T1CON = 0x01;
     TMR1IF_bit = 0;
     TMR1H = 0xFD;
     TMR1L = 0x80;
     TMR1IE_bit = 1;
     INTCON = 0xC0;

     return;
}

void hereGoesMyISR(void) {
     if (TMR1IF_bit == 1) {    //Check if Timer0 has overflowed
        TMR1IF_bit = 0;        //Reset Timer0 flag
        //Enter your code here
        TMR1H = 0xFD;
        TMR1L = 0x80;

        counter++;           //Increase counter by 1
        //156 interrupts * 128 us = 19968 usec
        if (counter == 156) { //Check if interrupt was triggered 156 times
           PORTB.F2 = 1;      //Start pulse to servo motor 1
           PORTB.F3 = 1;      //Start pulse to servo motor 2
           PORTB.F4 = 1;      //Start pulse to servo motor 3
           counter = 0;       //Reset counter
        }
        if (counter == motor1) //Check if time to end left servo pulse
           PORTB.F2 = 0;       //End pulse to left servo motor
        if (counter == motor2) //Check if time to end right servo pulse
           PORTB.F3 = 0;       //End pulse to right servo motor
        if (counter == motor3) //Check if time to end right servo pulse
           PORTB.F4 = 0;       //End pulse to right servo motor
     }

     return;
}

void interrupt(void) {       //Define interrupt routine called servo
     hereGoesMyISR();
}

void main() {

     CMCON = 0x07;  //disables comparators
     ADCON1 = 0x0F; //disables analog functions
     GIE_bit = 1;   //Enable global interrupts
     TRISB.F2 = 0;  //Set up Port B2 as an output
     TRISB.F3 = 0;  //Set up Port B3 as an output
     TRISB.F4 = 0;  //Set up Port B4 as an output
     
//     TRISA.F0 = 0;  //Set up Port A0 as an output
//     PORTA.F0 = 1;

     InitTimer1();
     
     while(1) {          // Set up infinite loop
          motor1 = 6;    // Generates falling edge after 6 interrupts * 128 us each = 768 us
          motor2 = 6;
          motor3 = 6;
          Delay_ms(500);
          motor1 = 18;   // Generates falling edge after 18 interrupts * 128 us each = 2034 us
          motor2 = 18;
          motor3 = 12;   // Generates falling edge after 12 interrupts * 128 us each = 1536 us
          Delay_ms(500);
     }
     
     return;
}